HTML::TABLE Class Reference

`#include <HtmlBuilder.h>`

Inheritance diagram for HTML::TABLE:
[legend]
Collaboration diagram for HTML::TABLE:
[legend]

## Public Member Functions

| TABLE (std::ostream &stream)
TABLE & | border (int value)
TABLE & | cellspacing (int value)
TABLE & | width (int value)
Public Member Functions inherited from HTML::TAG
| TAG (const std::string &tag, std::ostream &stream)
virtual | ~TAG ()
TAG & | text ()
TAG & | text (const std::string &value)
TAG & | text (int value)

## Additional Inherited Members

Protected Attributes inherited from HTML::TAG
std::ostream & | m_stream

## Detailed Description

Definition at line 147 of file HtmlBuilder.h.

## Constructor & Destructor Documentation

## TABLE()

HTML::TABLE::TABLE | ( | std::ostream & | stream | ) |

inline

Definition at line 150 of file HtmlBuilder.h.

: TAG( "TABLE", stream ) {}
HTML::TAG::TAG
TAG(const std::string &tag, std::ostream &stream)
Definition: HtmlBuilder.h:36

## Member Function Documentation

## border()

TABLE& HTML::TABLE::border | ( | int | value | ) |

inline

Definition at line 153 of file HtmlBuilder.h.

{ m_stream << " border='" << value << "'"; return *this; }
HTML::TAG::m_stream
std::ostream & m_stream
Definition: HtmlBuilder.h:60

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot(), and FIX::HttpConnection::processSession().

## cellspacing()

TABLE& HTML::TABLE::cellspacing | ( | int | value | ) |

inline

Definition at line 155 of file HtmlBuilder.h.

{ m_stream << " cellspacing='" << value << "'"; return *this; }

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot(), and FIX::HttpConnection::processSession().

## width()

TABLE& HTML::TABLE::width | ( | int | value | ) |

inline

Definition at line 157 of file HtmlBuilder.h.

{ m_stream << " width='" << value << "%'"; return *this; }

References HTML::TAG::m_stream.

Referenced by FIX::HttpConnection::processRoot(), and FIX::HttpConnection::processSession().

The documentation for this class was generated from the following file:

- HtmlBuilder.h